diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_get.py
index 7eb0d2a3..bbc5397a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_get.py
@@ -9,40 +9,44 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
 from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as trigger_funcs_utils
 
 
-class TriggerFuncGetTestCase(BaseTestGenerator):
-    """This class will fetch added trigger function under schema node."""
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for trigger function node.
-        ('Fetch Trigger Function Node URL',
-         dict(url='/browser/trigger_function/obj/'))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestTriggerFunctionsGet:
+    def test_trigger_functions_get(self, request, context_of_tests):
+        """
+        When the Trigger Functions get request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/trigger_function/obj/'
 
-    def setUp(self):
-        super(TriggerFuncGetTestCase, self).setUp()
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.schema_name = parent_node_dict["schema"][-1]["schema_name"]
-        self.schema_id = parent_node_dict["schema"][-1]["schema_id"]
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
 
-    def runTest(self):
-        """ This function will delete trigger function under database node. """
-        schema_info = parent_node_dict["schema"][-1]
-        server_id = schema_info["server_id"]
-        db_id = schema_info["db_id"]
-        func_name = "test_event_get_%s" % str(uuid.uuid4())[1:8]
-        db_user = self.server["username"]
-        server_con = server_utils.connect_server(self, server_id)
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
+
+        server_con = server_utils.connect_server(self, self.server_id)
         if not server_con["info"] == "Server connected.":
             raise Exception("Could not connect to server to add resource "
                             "groups.")
@@ -50,28 +54,38 @@ class TriggerFuncGetTestCase(BaseTestGenerator):
         if "type" in server_con["data"]:
             if server_con["data"]["version"] < 90300:
                 server_version = server_con["data"]["version"]
-        self.function_info = trigger_funcs_utils.create_trigger_function(
-            self.server, self.db_name, self.schema_name, func_name,
-            server_version)
 
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 server_id, db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add collation.")
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
+
         schema_response = schema_utils.verify_schemas(self.server,
                                                       self.db_name,
                                                       self.schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to add the collation.")
+            raise Exception("Could not find the schema.")
+
+        func_name = "test_event_delete_%s" % str(uuid.uuid4())[1:8]
+        self.function_info = trigger_funcs_utils.create_trigger_function(
+            self.server, self.db_name, self.schema_name, func_name,
+            server_version)
+
         trigger_func_id = self.function_info[0]
         response = self.tester.get(
-            self.url + str(utils.SERVER_GROUP) + '/' + str(server_id) + '/' +
-            str(db_id) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
             str(self.schema_id) + '/' + str(trigger_func_id),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
-        # Disconnect the database
-        database_utils.disconnect_database(self, server_id, db_id)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('name') > \
+            should.be.equal.to(func_name)
 
     def tearDown(self):
-        pass
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_put.py
index 63d4c085..c21f8d8e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_put.py
@@ -10,39 +10,45 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
 from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as trigger_funcs_utils
 
 
-class TriggerFuncPutTestCase(BaseTestGenerator):
-    """ This class will update new trigger function under schema node. """
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for trigger function node.
-        ('Fetch Trigger Function Node URL',
-         dict(url='/browser/trigger_function/obj/'))
-    ]
-
-    def setUp(self):
-        super(TriggerFuncPutTestCase, self).setUp()
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.schema_name = parent_node_dict["schema"][-1]["schema_name"]
-        self.schema_id = parent_node_dict["schema"][-1]["schema_id"]
-
-    def runTest(self):
-        """ This function will update trigger function under database node. """
-        schema_info = parent_node_dict["schema"][-1]
-        server_id = schema_info["server_id"]
-        db_id = schema_info["db_id"]
-        func_name = "test_event_put_%s" % str(uuid.uuid4())[1:8]
-        server_con = server_utils.connect_server(self, server_id)
+@pytest.mark.skip_databases(['gpdb'])
+class TestTriggerFunctionsGet:
+    def test_trigger_functions_get(self, request, context_of_tests):
+        """
+        When the Trigger Functions get request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/trigger_function/obj/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
+
+        server_con = server_utils.connect_server(self, self.server_id)
         if not server_con["info"] == "Server connected.":
             raise Exception("Could not connect to server to add resource "
                             "groups.")
@@ -50,19 +56,25 @@ class TriggerFuncPutTestCase(BaseTestGenerator):
         if "type" in server_con["data"]:
             if server_con["data"]["version"] < 90300:
                 server_version = server_con["data"]["version"]
-        self.function_info = trigger_funcs_utils.create_trigger_function(
-            self.server, self.db_name, self.schema_name, func_name,
-            server_version)
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 server_id, db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add collation.")
+
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
+
         schema_response = schema_utils.verify_schemas(self.server,
                                                       self.db_name,
                                                       self.schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to add the collation.")
-        func_name = self.function_info[1]
+            raise Exception("Could not find the schema.")
+
+        func_name = "test_event_delete_%s" % str(uuid.uuid4())[1:8]
+        self.function_info = trigger_funcs_utils.create_trigger_function(
+            self.server, self.db_name, self.schema_name, func_name,
+            server_version)
+
         func_response = trigger_funcs_utils.verify_trigger_function(
             self.server,
             self.db_name,
@@ -77,16 +89,26 @@ class TriggerFuncPutTestCase(BaseTestGenerator):
             "id": trigger_func_id
         }
 
-        put_response = self.tester.put(
-            self.url + str(utils.SERVER_GROUP) +
-            '/' + str(server_id) + '/' + str(db_id) + '/' +
+        response = self.tester.put(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
             str(self.schema_id) + '/' +
             str(trigger_func_id),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(put_response.status_code, 200)
-        # Disconnect the database
-        database_utils.disconnect_database(self, server_id, db_id)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'trigger_function',
+            'pgadmin.node.trigger_function',
+            False,
+            'icon-trigger_function',
+            func_name + '()'
+        )
 
     def tearDown(self):
-        pass
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/__init__.py
index e65af20c..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class PackageTestGenerator(BaseTestGenerator):
-
-    def runTest(self):
-        return
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_add.py
index fa7410c7..b6f2ea29 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_add.py
@@ -10,83 +10,76 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
 from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 
 
-class PackageAddTestCase(BaseTestGenerator):
-    """ This class will add new package under test schema. """
-    skip_on_database = ['gpdb']
-
-    scenarios = [
-        # Fetching default URL for package node.
-        ('Fetch Package Node URL', dict(
-            url='/browser/package/obj/'))
-    ]
-
-    def setUp(self):
-        super(PackageAddTestCase, self).setUp()
-        schema_info = parent_node_dict["schema"][-1]
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        server_con = server_utils.connect_server(self, self.server_id)
-
-        if server_con:
-            if "type" in server_con["data"]:
-                if server_con["data"]["type"] == "pg":
-                    message = "Packages are not supported by PG."
-                    self.skipTest(message)
-
-    def runTest(self):
-        """ This function will add package under test schema. """
-
-        db_con = database_utils.connect_database(self,
-                                                 utils.SERVER_GROUP,
-                                                 self.server_id,
-                                                 self.db_id)
-
-        if not db_con["info"] == "Database connected.":
-            raise Exception("Could not connect to database.")
-
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+@pytest.mark.skip_databases(['gpdb', 'pg'])
+class TestPackageAdd:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_package_add(self, context_of_tests):
+        """
+        When the package add request is send to the backend
+        it returns 200 status
+        """
+        url = '/browser/package/obj/'
+
+        tester = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        db_name = server_data['db_name']
+
+        schema_name = server_data['schema_name']
+        schema_id = server_data['schema_id']
+
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
             raise Exception("Could not find the schema.")
 
+        package_name = "pkg_%s" % str(uuid.uuid4())[1:8]
         data = \
             {
-                "name": "pkg_%s" % str(uuid.uuid4())[1:8],
-                "owner": self.server["username"],
+                "name": package_name,
+                "owner": server["username"],
                 "pkgacl": [],
                 "pkgbodysrc": "PROCEDURE p1() is \n"
                               "begin \n"
                               "dbms_output.put_line('Test_pkg.Proc...'); "
                               "\nEND\t;",
                 "pkgheadsrc": "PROCEDURE p1();",
-                "schema": self.schema_id
+                "schema": schema_id
             }
 
-        response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' + str(self.db_id) +
-            '/' + str(self.schema_id) + '/',
+        response = tester.post(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(server_id) + '/' +
+            str(db_id) + '/' +
+            str(schema_id) + '/',
             data=json.dumps(data),
             content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
-
-    def tearDown(self):
-        """This function disconnect the test database."""
-
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'package',
+            'pgadmin.node.package',
+            False,
+            'icon-package',
+            package_name
+        )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_delete.py
index d62e016a..70cbce2e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_delete.py
@@ -9,87 +9,71 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression.python_test_utils import test_utils as utils
 from . import utils as package_utils
 
 
-class PackageDeleteTestCase(BaseTestGenerator):
-    """ This class will delete new package under test schema. """
-    skip_on_database = ['gpdb']
-
-    scenarios = [
-        # Fetching default URL for package node.
-        ('Fetch Package Node URL', dict(
-            url='/browser/package/obj/'))
-    ]
-
-    def setUp(self):
-        super(PackageDeleteTestCase, self).setUp()
-        schema_info = parent_node_dict["schema"][-1]
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.pkg_name = "pkg_%s" % str(uuid.uuid4())[1:8]
-        self.proc_name = "proc_%s" % str(uuid.uuid4())[1:8]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        server_con = server_utils.connect_server(self, self.server_id)
-
-        if server_con:
-            if "type" in server_con["data"]:
-                if server_con["data"]["type"] == "pg":
-                    message = "Packages are not supported by PG."
-                    self.skipTest(message)
+@pytest.mark.skip_databases(['gpdb', 'pg'])
+class TestPackageDelete:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_package_delete(self, context_of_tests):
+        """
+        When the package DELETE request is send to the backend
+        it returns 200 status
+        """
 
-        self.package_id = package_utils.create_package(self.server,
-                                                       self.db_name,
-                                                       self.schema_name,
-                                                       self.pkg_name,
-                                                       self.proc_name)
+        url = '/browser/package/obj/'
 
-    def runTest(self):
-        """ This function will delete package under test schema. """
+        tester = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        db_name = server_data['db_name']
 
-        db_con = database_utils.connect_database(self,
-                                                 utils.SERVER_GROUP,
-                                                 self.server_id,
-                                                 self.db_id)
+        schema_name = server_data['schema_name']
+        schema_id = server_data['schema_id']
 
-        if not db_con["info"] == "Database connected.":
-            raise Exception("Could not connect to database.")
-
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
             raise Exception("Could not find the schema.")
 
-        package_response = package_utils.verify_package(self.server,
-                                                        self.db_name,
-                                                        self.schema_name)
+        pkg_name = "pkg_%s" % str(uuid.uuid4())[1:4]
+        proc_name = "proc_%s" % str(uuid.uuid4())[1:4]
+        package_id = package_utils.create_package(server,
+                                                  db_name,
+                                                  schema_name,
+                                                  pkg_name,
+                                                  proc_name)
+
+        package_response = package_utils.verify_package(server,
+                                                        db_name,
+                                                        schema_name)
 
         if not package_response:
             raise Exception("Could not find the package.")
 
-        delete_response = self.tester.delete(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' +
-            str(self.db_id) + '/' +
-            str(self.schema_id) + '/' +
-            str(self.package_id),
+        response = tester.delete(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(server_id) + '/' +
+            str(db_id) + '/' +
+            str(schema_id) + '/' +
+            str(package_id),
             follow_redirects=True)
 
-        self.assertEquals(delete_response.status_code, 200)
-
-    def tearDown(self):
-        """This function disconnect the test database."""
-
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('info') > should.be.equal.to(
+            'Package dropped')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_get.py
index 1c4e1bf0..7a6ab4b2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_get.py
@@ -9,80 +9,61 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression.python_test_utils import test_utils as utils
 from . import utils as package_utils
 
 
-class PackageGetTestCase(BaseTestGenerator):
-    """ This class will fetch new package under test schema. """
-    skip_on_database = ['gpdb']
-
-    scenarios = [
-        # Fetching default URL for package node.
-        ('Fetch Package Node URL', dict(
-            url='/browser/package/obj/'))
-    ]
-
-    def setUp(self):
-        super(PackageGetTestCase, self).setUp()
-        schema_info = parent_node_dict["schema"][-1]
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.pkg_name = "pkg_%s" % str(uuid.uuid4())[1:8]
-        self.proc_name = "proc_%s" % str(uuid.uuid4())[1:8]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        server_con = server_utils.connect_server(self, self.server_id)
-
-        if server_con:
-            if "type" in server_con["data"]:
-                if server_con["data"]["type"] == "pg":
-                    message = "Packages are not supported by PG."
-                    self.skipTest(message)
-
-        self.package_id = package_utils.create_package(self.server,
-                                                       self.db_name,
-                                                       self.schema_name,
-                                                       self.pkg_name,
-                                                       self.proc_name)
-
-    def runTest(self):
-        """ This function will fetch package under test schema. """
-
-        db_con = database_utils.connect_database(self,
-                                                 utils.SERVER_GROUP,
-                                                 self.server_id,
-                                                 self.db_id)
-
-        if not db_con["info"] == "Database connected.":
-            raise Exception("Could not connect to database.")
-
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+@pytest.mark.skip_databases(['gpdb', 'pg'])
+class TestPackageGet:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_package_get(self, context_of_tests):
+        """
+        When the package GET request is send to the backend
+        it returns 200 status
+        """
+        url = '/browser/package/obj/'
+
+        tester = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        db_name = server_data['db_name']
+
+        schema_name = server_data['schema_name']
+        schema_id = server_data['schema_id']
+
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
             raise Exception("Could not find the schema.")
 
-        response = self.tester.get(self.url +
-                                   str(utils.SERVER_GROUP) + '/' +
-                                   str(self.server_id) + '/' +
-                                   str(self.db_id) + '/' +
-                                   str(self.schema_id) + '/' +
-                                   str(self.package_id),
-                                   content_type='html/json')
-
-        self.assertEquals(response.status_code, 200)
-
-    def tearDown(self):
-        """This function disconnect the test database."""
-
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
+        pkg_name = "pkg_%s" % str(uuid.uuid4())[1:4]
+        proc_name = "proc_%s" % str(uuid.uuid4())[1:4]
+        package_id = package_utils.create_package(server,
+                                                  db_name,
+                                                  schema_name,
+                                                  pkg_name,
+                                                  proc_name)
+
+        response = tester.get(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(server_id) + '/' +
+            str(db_id) + '/' +
+            str(schema_id) + '/' +
+            str(package_id),
+            content_type='html/json'
+        )
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('oid')
+        json_response | should.have.key('name') > \
+            should.be.equal.to(pkg_name)
